<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DanePodmiotuTyp StructType
 * @subpackage Structs
 */
class DanePodmiotuTyp extends AbstractStructBase
{
    /**
     * The identyfikator
     * Meta information extracted from the WSDL
     * - documentation: Identyfikator podmiotu, w imieniu ktorego dziala uzytkownik
     * @var string
     */
    public $identyfikator;
    /**
     * The typOsoby
     * Meta information extracted from the WSDL
     * - documentation: P - prawna, F - osoba fizyczna
     * @var string
     */
    public $typOsoby;
    /**
     * The imieSkrot
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $imieSkrot;
    /**
     * The nazwiskoNazwa
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nazwiskoNazwa;
    /**
     * The nip
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nip;
    /**
     * The pesel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $pesel;
    /**
     * The regon
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $regon;
    /**
     * The zgoda
     * Meta information extracted from the WSDL
     * - documentation: Czy jest zgoda na otrzymywanie korespondencji droga elektroniczna?
     * @var bool
     */
    public $zgoda;
    /**
     * Constructor method for DanePodmiotuTyp
     * @uses DanePodmiotuTyp::setIdentyfikator()
     * @uses DanePodmiotuTyp::setTypOsoby()
     * @uses DanePodmiotuTyp::setImieSkrot()
     * @uses DanePodmiotuTyp::setNazwiskoNazwa()
     * @uses DanePodmiotuTyp::setNip()
     * @uses DanePodmiotuTyp::setPesel()
     * @uses DanePodmiotuTyp::setRegon()
     * @uses DanePodmiotuTyp::setZgoda()
     * @param string $identyfikator
     * @param string $typOsoby
     * @param string $imieSkrot
     * @param string $nazwiskoNazwa
     * @param string $nip
     * @param string $pesel
     * @param string $regon
     * @param bool $zgoda
     */
    public function __construct($identyfikator = null, $typOsoby = null, $imieSkrot = null, $nazwiskoNazwa = null, $nip = null, $pesel = null, $regon = null, $zgoda = null)
    {
        $this
            ->setIdentyfikator($identyfikator)
            ->setTypOsoby($typOsoby)
            ->setImieSkrot($imieSkrot)
            ->setNazwiskoNazwa($nazwiskoNazwa)
            ->setNip($nip)
            ->setPesel($pesel)
            ->setRegon($regon)
            ->setZgoda($zgoda);
    }
    /**
     * Get identyfikator value
     * @return string|null
     */
    public function getIdentyfikator()
    {
        return $this->identyfikator;
    }
    /**
     * Set identyfikator value
     * @param string $identyfikator
     * @return \StructType\DanePodmiotuTyp
     */
    public function setIdentyfikator($identyfikator = null)
    {
        // validation for constraint: string
        if (!is_null($identyfikator) && !is_string($identyfikator)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identyfikator, true), gettype($identyfikator)), __LINE__);
        }
        $this->identyfikator = $identyfikator;
        return $this;
    }
    /**
     * Get typOsoby value
     * @return string|null
     */
    public function getTypOsoby()
    {
        return $this->typOsoby;
    }
    /**
     * Set typOsoby value
     * @param string $typOsoby
     * @return \StructType\DanePodmiotuTyp
     */
    public function setTypOsoby($typOsoby = null)
    {
        // validation for constraint: string
        if (!is_null($typOsoby) && !is_string($typOsoby)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($typOsoby, true), gettype($typOsoby)), __LINE__);
        }
        $this->typOsoby = $typOsoby;
        return $this;
    }
    /**
     * Get imieSkrot value
     * @return string|null
     */
    public function getImieSkrot()
    {
        return $this->imieSkrot;
    }
    /**
     * Set imieSkrot value
     * @param string $imieSkrot
     * @return \StructType\DanePodmiotuTyp
     */
    public function setImieSkrot($imieSkrot = null)
    {
        // validation for constraint: string
        if (!is_null($imieSkrot) && !is_string($imieSkrot)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($imieSkrot, true), gettype($imieSkrot)), __LINE__);
        }
        $this->imieSkrot = $imieSkrot;
        return $this;
    }
    /**
     * Get nazwiskoNazwa value
     * @return string|null
     */
    public function getNazwiskoNazwa()
    {
        return $this->nazwiskoNazwa;
    }
    /**
     * Set nazwiskoNazwa value
     * @param string $nazwiskoNazwa
     * @return \StructType\DanePodmiotuTyp
     */
    public function setNazwiskoNazwa($nazwiskoNazwa = null)
    {
        // validation for constraint: string
        if (!is_null($nazwiskoNazwa) && !is_string($nazwiskoNazwa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nazwiskoNazwa, true), gettype($nazwiskoNazwa)), __LINE__);
        }
        $this->nazwiskoNazwa = $nazwiskoNazwa;
        return $this;
    }
    /**
     * Get nip value
     * @return string|null
     */
    public function getNip()
    {
        return $this->nip;
    }
    /**
     * Set nip value
     * @param string $nip
     * @return \StructType\DanePodmiotuTyp
     */
    public function setNip($nip = null)
    {
        // validation for constraint: string
        if (!is_null($nip) && !is_string($nip)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nip, true), gettype($nip)), __LINE__);
        }
        $this->nip = $nip;
        return $this;
    }
    /**
     * Get pesel value
     * @return string|null
     */
    public function getPesel()
    {
        return $this->pesel;
    }
    /**
     * Set pesel value
     * @param string $pesel
     * @return \StructType\DanePodmiotuTyp
     */
    public function setPesel($pesel = null)
    {
        // validation for constraint: string
        if (!is_null($pesel) && !is_string($pesel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pesel, true), gettype($pesel)), __LINE__);
        }
        $this->pesel = $pesel;
        return $this;
    }
    /**
     * Get regon value
     * @return string|null
     */
    public function getRegon()
    {
        return $this->regon;
    }
    /**
     * Set regon value
     * @param string $regon
     * @return \StructType\DanePodmiotuTyp
     */
    public function setRegon($regon = null)
    {
        // validation for constraint: string
        if (!is_null($regon) && !is_string($regon)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($regon, true), gettype($regon)), __LINE__);
        }
        $this->regon = $regon;
        return $this;
    }
    /**
     * Get zgoda value
     * @return bool|null
     */
    public function getZgoda()
    {
        return $this->zgoda;
    }
    /**
     * Set zgoda value
     * @param bool $zgoda
     * @return \StructType\DanePodmiotuTyp
     */
    public function setZgoda($zgoda = null)
    {
        // validation for constraint: boolean
        if (!is_null($zgoda) && !is_bool($zgoda)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($zgoda, true), gettype($zgoda)), __LINE__);
        }
        $this->zgoda = $zgoda;
        return $this;
    }
}
