<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OdpowiedzSkrytkiTyp StructType
 * @subpackage Structs
 */
class OdpowiedzSkrytkiTyp extends AbstractStructBase
{
    /**
     * The status
     * @var \StructType\StatusTyp
     */
    public $status;
    /**
     * The identyfikatorDokumentu
     * Meta information extracted from the WSDL
     * - base: string
     * @var string
     */
    public $identyfikatorDokumentu;
    /**
     * The identyfikatorUpp
     * Meta information extracted from the WSDL
     * - base: string
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $identyfikatorUpp;
    /**
     * The statusOdbiorcy
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\StatusTyp
     */
    public $statusOdbiorcy;
    /**
     * The zalacznik
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\DokumentTyp
     */
    public $zalacznik;
    /**
     * Constructor method for OdpowiedzSkrytkiTyp
     * @uses OdpowiedzSkrytkiTyp::setStatus()
     * @uses OdpowiedzSkrytkiTyp::setIdentyfikatorDokumentu()
     * @uses OdpowiedzSkrytkiTyp::setIdentyfikatorUpp()
     * @uses OdpowiedzSkrytkiTyp::setStatusOdbiorcy()
     * @uses OdpowiedzSkrytkiTyp::setZalacznik()
     * @param \StructType\StatusTyp $status
     * @param string $identyfikatorDokumentu
     * @param string $identyfikatorUpp
     * @param \StructType\StatusTyp $statusOdbiorcy
     * @param \StructType\DokumentTyp $zalacznik
     */
    public function __construct(\StructType\StatusTyp $status = null, $identyfikatorDokumentu = null, $identyfikatorUpp = null, \StructType\StatusTyp $statusOdbiorcy = null, \StructType\DokumentTyp $zalacznik = null)
    {
        $this
            ->setStatus($status)
            ->setIdentyfikatorDokumentu($identyfikatorDokumentu)
            ->setIdentyfikatorUpp($identyfikatorUpp)
            ->setStatusOdbiorcy($statusOdbiorcy)
            ->setZalacznik($zalacznik);
    }
    /**
     * Get status value
     * @return \StructType\StatusTyp|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param \StructType\StatusTyp $status
     * @return \StructType\OdpowiedzSkrytkiTyp
     */
    public function setStatus(\StructType\StatusTyp $status = null)
    {
        $this->status = $status;
        return $this;
    }
    /**
     * Get identyfikatorDokumentu value
     * @return string|null
     */
    public function getIdentyfikatorDokumentu()
    {
        return $this->identyfikatorDokumentu;
    }
    /**
     * Set identyfikatorDokumentu value
     * @param string $identyfikatorDokumentu
     * @return \StructType\OdpowiedzSkrytkiTyp
     */
    public function setIdentyfikatorDokumentu($identyfikatorDokumentu = null)
    {
        // validation for constraint: string
        if (!is_null($identyfikatorDokumentu) && !is_string($identyfikatorDokumentu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identyfikatorDokumentu, true), gettype($identyfikatorDokumentu)), __LINE__);
        }
        $this->identyfikatorDokumentu = $identyfikatorDokumentu;
        return $this;
    }
    /**
     * Get identyfikatorUpp value
     * @return string|null
     */
    public function getIdentyfikatorUpp()
    {
        return $this->identyfikatorUpp;
    }
    /**
     * Set identyfikatorUpp value
     * @param string $identyfikatorUpp
     * @return \StructType\OdpowiedzSkrytkiTyp
     */
    public function setIdentyfikatorUpp($identyfikatorUpp = null)
    {
        // validation for constraint: string
        if (!is_null($identyfikatorUpp) && !is_string($identyfikatorUpp)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identyfikatorUpp, true), gettype($identyfikatorUpp)), __LINE__);
        }
        $this->identyfikatorUpp = $identyfikatorUpp;
        return $this;
    }
    /**
     * Get statusOdbiorcy value
     * @return \StructType\StatusTyp|null
     */
    public function getStatusOdbiorcy()
    {
        return $this->statusOdbiorcy;
    }
    /**
     * Set statusOdbiorcy value
     * @param \StructType\StatusTyp $statusOdbiorcy
     * @return \StructType\OdpowiedzSkrytkiTyp
     */
    public function setStatusOdbiorcy(\StructType\StatusTyp $statusOdbiorcy = null)
    {
        $this->statusOdbiorcy = $statusOdbiorcy;
        return $this;
    }
    /**
     * Get zalacznik value
     * @return \StructType\DokumentTyp|null
     */
    public function getZalacznik()
    {
        return $this->zalacznik;
    }
    /**
     * Set zalacznik value
     * @param \StructType\DokumentTyp $zalacznik
     * @return \StructType\OdpowiedzSkrytkiTyp
     */
    public function setZalacznik(\StructType\DokumentTyp $zalacznik = null)
    {
        $this->zalacznik = $zalacznik;
        return $this;
    }
}
